<template>
  <div class="main">
    <GameSettings v-if="!settings.isStartGame" @new-game="newGame" />
    <GameBoard v-else :settings="settings" />
  </div>
</template>

<script>
import GameSettings from "@/components/GameSettings.vue";
import GameBoard from "@/components/GameBoard.vue";
import choices from "@/config/choices";

import { reactive } from "vue";

export default {
  name: "MainScreen",
  components: {
    GameSettings,
    GameBoard,
  },
  setup() {
    const settings = reactive({
      isVsCPU: false,
      choice: choices.O,
      isStartGame: false,
    });

    function newGame(paramter) {
      settings.isStartGame = true;
      settings.isVsCPU = paramter.isVsCPU;
      settings.choice = paramter.choice;
    }

    return { settings, newGame };
  },
};
</script>

<style lang="scss" scoped>
.main {
  display: grid;
  place-content: center;
  margin-inline: auto;
  padding-inline: 1rem;
  max-width: 30rem;
  height: 100vh;
}
</style>
